import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataYandexClientConfigConfig extends cdktf.TerraformMetaArguments {
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/yandex/d/client_config yandex_client_config}
*/
export declare class DataYandexClientConfig extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "yandex_client_config";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/yandex/d/client_config yandex_client_config} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataYandexClientConfigConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataYandexClientConfigConfig);
    get cloudId(): string;
    get folderId(): string;
    get iamToken(): string;
    get id(): string;
    get zone(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-yandex-client-config.d.ts.map